Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Interface Sspi

All Superinterfaces:
  com.sun.jna.AltCallingConvention, com.sun.jna.Library, com.sun.jna.win32.StdCall, com.sun.jna.win32.StdCallLibrary

    public interface Sspi

extends com.sun.jna.win32.StdCallLibrary

Ported from Sspi.h. Microsoft Windows SDK 6.0A.

Nested Class Summary
`static class` | `Sspi.CredHandle` Credentials handle.
`static class` | `Sspi.CtxtHandle` Security context handle.
`static class` | `Sspi.PSecHandle` A pointer to a SecHandle
`static class` | `Sspi.PSecPkgInfo` A pointer to an array of SecPkgInfo structures.
`static class` | `Sspi.SecBuffer` The SecBuffer structure describes a buffer allocated by a transport application to pass to a security package.
`static class` | `Sspi.SecBufferDesc`
`static class` | `Sspi.SecHandle` Security handle.
`static class` | `Sspi.SecPkgInfo` The SecPkgInfo structure provides general information about a security package, such as its name and capabilities.
`static class` | `Sspi.SECURITY_INTEGER` A security integer.
`static class` | `Sspi.TimeStamp` A timestamp.

Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary
`com.sun.jna.win32.StdCallLibrary.StdCallCallback`

Nested classes/interfaces inherited from interface com.sun.jna.Library
`com.sun.jna.Library.Handler`

Field Summary
`static int` | `ISC_REQ_ALLOCATE_MEMORY` The security package allocates output buffers for you.
`static int` | `ISC_REQ_CONFIDENTIALITY` Encrypt messages by using the EncryptMessage function.
`static int` | `ISC_REQ_CONNECTION` The security context will not handle formatting messages.
`static int` | `ISC_REQ_DELEGATE` The server can use the context to authenticate to other servers as the client.
`static int` | `ISC_REQ_EXTENDED_ERROR` When errors occur, the remote party will be notified.
`static int` | `ISC_REQ_INTEGRITY` Sign messages and verify signatures by using the EncryptMessage and MakeSignature functions.
`static int` | `ISC_REQ_MUTUAL_AUTH` The mutual authentication policy of the service will be satisfied.
`static int` | `ISC_REQ_REPLAY_DETECT` Detect replayed messages that have been encoded by using the EncryptMessage or MakeSignature functions.
`static int` | `ISC_REQ_SEQUENCE_DETECT` Detect messages received out of sequence.
`static int` | `ISC_REQ_STREAM` Support a stream-oriented connection.
`static int` | `MAX_TOKEN_SIZE` Maximum size in bytes of a security token.
`static int` | `SECBUFFER_DATA` This buffer type is used for common data.
`static int` | `SECBUFFER_EMPTY` This is a placeholder in the buffer array.
`static int` | `SECBUFFER_TOKEN` This buffer type is used to indicate the security token portion of the message.
`static int` | `SECBUFFER_VERSION` Version of the SecBuffer struct.
`static int` | `SECPKG_CRED_INBOUND` Validate an incoming server credential.
`static int` | `SECPKG_CRED_OUTBOUND` Allow a local client credential to prepare an outgoing token.
`static int` | `SECURITY_NATIVE_DREP` Specifies Native data representation.

Fields inherited from interface com.sun.jna.win32.StdCallLibrary
`FUNCTION_MAPPER, STDCALL_CONVENTION`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Field Detail

### MAX_TOKEN_SIZE

    static final int MAX_TOKEN_SIZE

  Maximum size in bytes of a security token.

  See Also:
    Constant Field Values

### SECPKG_CRED_INBOUND

    static final int SECPKG_CRED_INBOUND

  Validate an incoming server credential. Inbound credentials might be validated by using an authenticating authority when InitializeSecurityContext or AcceptSecurityContext is called. If such an authority is not available, the function will fail and return SEC_E_NO_AUTHENTICATING_AUTHORITY. Validation is package specific.

  See Also:
    Constant Field Values

### SECPKG_CRED_OUTBOUND

    static final int SECPKG_CRED_OUTBOUND

  Allow a local client credential to prepare an outgoing token.

  See Also:
    Constant Field Values

### SECURITY_NATIVE_DREP

    static final int SECURITY_NATIVE_DREP

  Specifies Native data representation.

  See Also:
    Constant Field Values

### ISC_REQ_ALLOCATE_MEMORY

    static final int ISC_REQ_ALLOCATE_MEMORY

  The security package allocates output buffers for you. When you have finished using the output buffers, free them by calling the FreeContextBuffer function.

  See Also:
    Constant Field Values

### ISC_REQ_CONFIDENTIALITY

    static final int ISC_REQ_CONFIDENTIALITY

  Encrypt messages by using the EncryptMessage function.

  See Also:
    Constant Field Values

### ISC_REQ_CONNECTION

    static final int ISC_REQ_CONNECTION

  The security context will not handle formatting messages. This value is the default.

  See Also:
    Constant Field Values

### ISC_REQ_DELEGATE

    static final int ISC_REQ_DELEGATE

  The server can use the context to authenticate to other servers as the client. The ISC_REQ_MUTUAL_AUTH flag must be set for this flag to work. Valid for Kerberos. Ignore this flag for constrained delegation.

  See Also:
    Constant Field Values

### ISC_REQ_EXTENDED_ERROR

    static final int ISC_REQ_EXTENDED_ERROR

  When errors occur, the remote party will be notified.

  See Also:
    Constant Field Values

### ISC_REQ_INTEGRITY

    static final int ISC_REQ_INTEGRITY

  Sign messages and verify signatures by using the EncryptMessage and MakeSignature functions.

  See Also:
    Constant Field Values

### ISC_REQ_MUTUAL_AUTH

    static final int ISC_REQ_MUTUAL_AUTH

  The mutual authentication policy of the service will be satisfied.

  See Also:
    Constant Field Values

### ISC_REQ_REPLAY_DETECT

    static final int ISC_REQ_REPLAY_DETECT

  Detect replayed messages that have been encoded by using the EncryptMessage or MakeSignature functions.

  See Also:
    Constant Field Values

### ISC_REQ_SEQUENCE_DETECT

    static final int ISC_REQ_SEQUENCE_DETECT

  Detect messages received out of sequence.

  See Also:
    Constant Field Values

### ISC_REQ_STREAM

    static final int ISC_REQ_STREAM

  Support a stream-oriented connection.

  See Also:
    Constant Field Values

### SECBUFFER_VERSION

    static final int SECBUFFER_VERSION

  Version of the SecBuffer struct.

  See Also:
    Constant Field Values

### SECBUFFER_EMPTY

    static final int SECBUFFER_EMPTY

  This is a placeholder in the buffer array.

  See Also:
    Constant Field Values

### SECBUFFER_DATA

    static final int SECBUFFER_DATA

  This buffer type is used for common data. The security package can read and write this data.

  See Also:
    Constant Field Values

### SECBUFFER_TOKEN

    static final int SECBUFFER_TOKEN

  This buffer type is used to indicate the security token portion of the message. This is read-only for input parameters or read/write for output parameters.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD